
U++ - Feature #2046

TabBar: Added features and fixes

06/19/2020 04:42 PM - Iñaki Zabala

Status: Approved Start date: 06/19/2020

Priority: Normal Due date:

Assignee: Miroslav Fidler % Done: 80%

Category: TabBar Estimated time: 0.00 hour

Target version: Spent time: 2.00 hours

Description

Additions

- To allow user code to change style

SetStyle(const TabBar::Style& s)

- To allow close tabs without crosses, and show the ContextMenu() properly

bool IsCancelClose(int id)

bool IsCancelCloseAll(int exception, int last_closed = 0)

- To allow user code to allow drag and drup in certain tabs

Gate<int, int>    CancelDragAndDrop;    // Return true to cancel drag and drop from tab to tab

Fixes

- Set CancelClose() in all necessary places

- If crosses is on, but tab cannot be closed, tab size does include cross icon size

int GetExtraWidth(int n)

History

#1 - 06/27/2020 01:27 AM - Iñaki Zabala

- File FileTabs.cpp added

- File FileTabs.h added

- File TabBar.cpp added

#2 - 07/30/2020 09:48 AM - Miroslav Fidler

- Status changed from New to Approved

#3 - 07/30/2020 12:41 PM - Iñaki Zabala

- % Done changed from 0 to 100

#4 - 08/08/2020 12:54 PM - Iñaki Zabala

- File TabBar.cpp added

- % Done changed from 100 to 80

Files

TabBar.h 17 KB 06/19/2020 Iñaki Zabala

TabBar.cpp 52.2 KB 06/19/2020 Iñaki Zabala

FileTabs.cpp 4.6 KB 06/26/2020 Iñaki Zabala

FileTabs.h 1.73 KB 06/26/2020 Iñaki Zabala

TabBar.cpp 52.4 KB 06/26/2020 Iñaki Zabala

TabBar.cpp 52.5 KB 08/08/2020 Iñaki Zabala
